function goTo(url) {
	window.location.href = url
}
function show_add_moadl(modal) {
	modal = modal || '.modal'
	if (typeof modal == 'string') {
		modal = document.querySelector(`${modal}`)
	}
	modal.querySelector('.modal-header .modal-title span').innerHTML = '添加'
	show_modal(modal)
}
function show_edit_moadl(modal) {
	modal = modal || '.modal'
	if (typeof modal == 'string') {
		modal = document.querySelector(`${modal}`)
	}
	modal.querySelector('.modal-header .modal-title span').innerHTML = '修改'
	show_modal(modal)
}
function show_modal(modal) {
	modal = modal || '.modal'
	if (typeof modal == 'string') {
		modal = document.querySelector(`${modal}`)
	}
	modal.classList.add('active')
}
function hide_modal(modal) {
	modal = modal || '.modal'
	if (typeof modal == 'string') {
		modal = document.querySelector(`${modal}`)
	}
	modal.classList.remove('active')
}

function toggleEditMode(row) {
	const table = document.querySelector('table.table tbody')
	const rows = table.querySelectorAll('tr.edit-mode')
	rows.forEach((row) => row.classList.remove('edit-mode'))
	let inputs = row.querySelectorAll('td .editable input')
	for (let i = 0; i < inputs.length; i++) {
		inputs[i].value = ''
	}
	row.classList.toggle('edit-mode')
}
function cancelChanges(row) {
	row.classList.remove('edit-mode')
}

function cancelNewChanges(row) {
	row.remove()
}

function _confirm(text, url) {
	if (confirm(text)) {
		fetch(url, {
			method: 'POST',
			headers: {
				'Content-Type': 'application/json',
			},
		})
			.then((response) => response.json())
			.then((data) => {
				if (data.success) {
					alert('操作成功')
					window.location.reload()
				} else {
					alert('操作失败:' + data.error)
				}
			})
			.catch((error) => {})
	}
}
